%define upstream_name    Net-Rendezvous-Publish-Backend-Howl
%define upstream_version 0.03

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 26

Summary:	Backend module using howl for Net::Rendezvous
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/R/RC/RCLAMP/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	pkgconfig(howl)
BuildRequires:  perl(Net::Rendezvous) 
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(ExtUtils::ParseXS)
BuildRequires:  perl(ExtUtils::CBuilder)
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Class::Accessor::Lvalue)
BuildRequires:	perl-devel 

Provides:       perl-Net-Rendezvous-Publish-Backend

%description
This module interfaces to the Porchdog's Howl library in order to allow 
service publishing.
It is used by Net::Rendezvous::Publish, in order to adapt to
different mDns implementation.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL INSTALLDIRS=vendor

%check
# requires mdns running
#./Build test

%install
./Build install destdir=%buildroot installdirs=vendor

%files
%doc Changes
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.30.0-26.mga10
+ Revision: 2226867
- Mageia 10 Mass Rebuild

* Fri Aug 23 2024 tv <tv> 0.30.0-25.mga10
+ Revision: 2089644
- Rebuild for perl-5.40

* Fri Dec 01 2023 tv <tv> 0.30.0-24.mga10
+ Revision: 2012594
- Rebuild for perl-5.38

* Thu Aug 04 2022 tv <tv> 0.30.0-23.mga9
+ Revision: 1875102
- Rebuild for perl-5.36

* Wed Apr 06 2022 umeabot <umeabot> 0.30.0-22.mga9
+ Revision: 1845696
- Mageia 9 Mass Rebuild

* Sat Jul 18 2020 tv <tv> 0.30.0-21.mga8
+ Revision: 1606991
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Wed Feb 12 2020 umeabot <umeabot> 0.30.0-20.mga8
+ Revision: 1508380
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.30.0-19.mga7
+ Revision: 1293551
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.30.0-18.mga7
+ Revision: 1249810
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.30.0-17.mga7
+ Revision: 1165935
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 0.30.0-16.mga7
+ Revision: 1159093
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 0.30.0-15.mga6
+ Revision: 1031315
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.30.0-14.mga6
+ Revision: 957820
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.30.0-13.mga6
+ Revision: 845058
- rebuild for soname-ifed perl

* Wed Jun 24 2015 sander85 <sander85> 0.30.0-12.mga6
+ Revision: 842574
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.30.0-11.mga5
+ Revision: 740965
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.30.0-10.mga5
+ Revision: 685715
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.30.0-9.mga5
+ Revision: 632309
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.30.0-8.mga4
+ Revision: 525096
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-7.mga4
+ Revision: 432286
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.30.0-6.mga4
+ Revision: 432149
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-4.mga3
+ Revision: 370859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.30.0-3.mga3
+ Revision: 250998
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.30.0-2.mga2
+ Revision: 104866
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 36454
- mageia rebuild
- imported package perl-Net-Rendezvous-Publish-Backend-Howl


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 406176
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.03-11mdv2009.0
+ Revision: 258103
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.03-10mdv2009.0
+ Revision: 246167
- rebuild

* Thu Jan 24 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.03-8mdv2008.1
+ Revision: 157722
- Fix BuildRequires

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.03-6mdv2008.1
+ Revision: 123184
- kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Pascal Terjan <pterjan@mandriva.org> 0.03-6mdv2007.0
+ Revision: 81361
- Also BuildRequires perl-ExtUtils-CBuilder for Module::Build to work on XS
- BuildRequires perl-ExtUtils-ParseXS for Module::Build to work on XS

  + Michael Scherer <misc@mandriva.org>
    - Import perl-Net-Rendezvous-Publish-Backend-Howl

* Fri Jan 06 2006 Michael Scherer <misc@mandriva.org> 0.03-6mdk
- remove test ( require a running mdns server )

* Wed Oct 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-5mdk
- Fix BuildRequires

* Wed Oct 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-4mdk
- Fix BuildRequires

* Tue Oct 04 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-3mdk
- Fix BuildRequires

* Sat Oct 01 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.03-2mdk
- Buildrequires fix

* Sat Sep 24 2005 Michael Scherer <misc@mandriva.org> 0.03-1mdk
- First mandriva package

